Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.util
Class ServingXmlException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.servingxml.util.ServingXmlException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  ContextualServingXmlException, ServingXmlFault, SupplementaryServingXmlException

    public class ServingXmlException

extends java.lang.RuntimeException

See Also:
  Serialized Form

Constructor Summary
`ServingXmlException(java.lang.String s)`
`ServingXmlException(java.lang.String s, java.lang.Throwable e)`

Method Summary
`ServingXmlException` | `contextualizeMessage(java.lang.String context)`
`org.xml.sax.XMLReader` | `createXmlReader()`
`static ServingXmlException` | `fromInvocationTargetException(java.lang.reflect.InvocationTargetException e)`
`void` | `getContext(java.lang.StringBuilder sb)`
`void` | `getMessage(java.lang.StringBuilder sb)`
`void` | `getSupplementaryMessage(java.lang.StringBuilder sb)`
`ServingXmlException` | `supplementMessage(java.lang.String message)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServingXmlException

    public ServingXmlException(java.lang.String s)

### ServingXmlException

    public ServingXmlException(java.lang.String s,
                               java.lang.Throwable e)

Method Detail

### getContext

    public void getContext(java.lang.StringBuilder sb)

### getMessage

    public void getMessage(java.lang.StringBuilder sb)

### fromInvocationTargetException

    public static ServingXmlException fromInvocationTargetException(java.lang.reflect.InvocationTargetException e)

### createXmlReader

    public org.xml.sax.XMLReader createXmlReader()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Throwable`

### getSupplementaryMessage

    public void getSupplementaryMessage(java.lang.StringBuilder sb)

### supplementMessage

    public ServingXmlException supplementMessage(java.lang.String message)

### contextualizeMessage

    public ServingXmlException contextualizeMessage(java.lang.String context)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD